%global src spirv

%{!?luaver: %global luaver %(lua -e "print(string.sub(_VERSION, 5))")}
%global luadatadir %{_datadir}/lua/%{luaver}

Name:           spirv-headers
Version:        1.0
Release:        1%{?dist}
Summary:        Khronos SPIR-V development headers

License:        MIT
URL:            https://www.khronos.org/registry/spir-v/
Source0:        %{url}/api/%{version}/GLSL.std.450.h
Source1:        %{url}/api/%{version}/OpenCL.std.h
Source2:        %{url}/api/%{version}/spirv.h
Source3:        %{url}/api/%{version}/spirv.hpp
Source4:        %{url}/api/%{version}/spirv.hpp11
Source5:        %{url}/api/%{version}/spirv.py
Source6:        %{url}/api/%{version}/spirv.lua

BuildArch:      noarch

%description
%{summary}.

%package -n python2-%{src}
Summary:        Khronos SPIR-V enumerant definitions for Python 2
%{?python_provide:%python_provide python2-%{src}}
BuildRequires:  python2-devel

%description -n python2-%{src}
Khronos SPIR-V enumerant definitions for Python 2.

%package -n python3-%{src}
Summary:        Khronos SPIR-V enumerant definitions for Python 3
%{?python_provide:%python_provide python3-%{src}}
BuildRequires:  python3-devel

%description -n python3-%{src}
Khronos SPIR-V enumerant definitions for Python 3.

%package -n lua-%{src}
Summary:        Khronos SPIR-V enumerant definitions for Lua
BuildRequires:  lua-devel

%description -n lua-%{src}
Khronos SPIR-V enumerant definitions for Lua.

%prep
%setup -T -c

%install
mkdir -p %{buildroot}%{_includedir}
install -Dpm0644 %{SOURCE0} %{buildroot}%{_includedir}/
install -Dpm0644 %{SOURCE1} %{buildroot}%{_includedir}/
install -Dpm0644 %{SOURCE2} %{buildroot}%{_includedir}/
install -Dpm0644 %{SOURCE3} %{buildroot}%{_includedir}/
install -Dpm0644 %{SOURCE4} %{buildroot}%{_includedir}/
mkdir -p %{buildroot}%{python2_sitelib}
install -Dpm0644 %{SOURCE5} %{buildroot}%{python2_sitelib}/
mkdir -p %{buildroot}%{python3_sitelib}
install -Dpm0644 %{SOURCE5} %{buildroot}%{python3_sitelib}/
mkdir -p %{buildroot}%{luadatadir}
install -Dpm0644 %{SOURCE6} %{buildroot}%{luadatadir}/

%files
%{_includedir}/*

%files -n python2-%{src}
%{python2_sitelib}/%{src}.py*

%files -n python3-%{src}
%{python3_sitelib}/%{src}.py
%{python3_sitelib}/__pycache__/%{src}.*

%files -n lua-%{src}
%{luadatadir}/%{src}.lua

%changelog
* Sat Feb 20 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 1.0-1
- Initial package
